// grid.h
//



extern int saveupper;
extern int draftfill;
extern int gridcase;

extern char loadname[256];

extern void setsize(int x,int y);

extern void setgridextent(void);

extern void refresh_zone(void);
extern void calczonesize(void);
extern os_error * refreshgrid(void);
extern void removezone(void);
extern void removecursor(void);
extern os_error * kill_cursor(void);
extern os_error * cleargrid(void);
extern void clrgridcnt(void);
extern void clearselection(void);


extern int gridcasechar(int ch);


extern os_error * reflectvert(void);
extern os_error * reflecthoriz(void);
extern os_error * reflectdiag1(void);
extern os_error * reflectdiag2(void);

extern os_error * clear_screen(void);
extern os_error * clear_words(void);

extern os_error * setgriduppercase(void);
extern os_error * setgridlowercase(void);

extern void gridstartredraw(void);
extern void gridaddredraw(wrdstr * w);
extern void gridendredraw(void);
extern void gridclrword(wrdstr * w);
extern void gridsetword(wrdstr * w);

extern os_error * makegrid(void);
extern os_error * randomgrid(void);


extern os_error * gridinit(int mainhandle);