/*->h.reslink */


#define MNULL    0
#define MMAIN    1
#define MFILE    2
#define MWORDS   3
#define MGRID    4
#define MHELP    5
#define MREFLECT 6
#define MUSERF   7
#define MDICTBASE 8
#define MDICT     9
#define MTYPE     10


#define FILE_M_MAIN  0
#define WORDS_M_MAIN 1
#define GRID_M_MAIN  2
#define HELP_M_MAIN  3

#define TYPE_M_GRID    0
#define REFLECT_M_GRID 2

#define LOAD_M_WORDS   1
#define EDIT_M_WORDS   2
#define DELETE_M_WORDS 4



#define TMAIN         0x100
#define TSOLN         0x101
#define TGRID         0x102
#define TGRIDSIZE     0x103
#define TNEWDICT      0x104
#define TEDIT         0x105
#define TCHECK        0x106
#define TPANE         0x107
#define TBUTTONS      0x108
#define TCUSTOM       0x109
#define TCHOICES      0x10A
#define TBUTTONS1     0x10B
#define TBUTTONSW     0x10C
#define TCUSTOMW      0x10D


#define ENOTTYPE 0x100
#define EREPDEC  0x101
#define EREPNEG  0x102
#define EBADVAL  0x103

#define EBU      0x115
#define EBD      0x116
#define EBB      0x117
#define EID      0x118
#define EPCD     0x119
#define EPCL     0x11A
#define ECR      0x11B

#define EBADBITS 0x200


#define EC00     0x201
#define EC01     0x202
#define EC02     0x203
#define ENMW     0x204
#define ENTS     0x205
#define EASW     0x206
#define EMDC     0x207
#define ENUD     0x208
#define EDAX     0x209
#define ENOD     0x210
#define EASP     0x211
#define EDCOLD   0x212
#define EAMAT    0x213
#define ENOSAVE  0x214
#define EDCAPS   0x215

#define EVM00    0x300

#define ES00     0x400

#define EMODE    0x500


#define PR00     0x600
#define PR01     0x601

#define ED00     0x610


#define EICO0    0x611


extern os_error * resinit(char * resources);

